> For the complete documentation index, see [llms.txt](https://docs.localramp.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.localramp.co/crypto-off-ramp/widget-sell/get-quote.md).

# Get Quote

Before initializing a sell widget transaction, you might want to know what price the token is being traded at. Make a **GET** request to the following endpoint.

{% code overflow="wrap" %}

```url
https://api.localramp.co/v1/transaction/sell-widget/quote?from_currency=USDT&to_currency=NGN
```

{% endcode %}

The request takes `from_currency` and `to_currency` as query params.&#x20;

With the following header

```
x-auth-token: <PUBLIC_KEY>
```

If the API call is successful, LocalRamp returns the following response:

```javascript
{
    "status": "success",
    "data": {
        "rate": {
            "info": "conversion rate from USDT -> NGN",
            "amount": "1584.00"
        },
        "fee": {
            "info": "Localramp processing fee in NGN ",
            "amount": "300.00",
            "type": "FLAT"
        },
        "partner_fee": {
            "type": "PERCENT",
            "fee": 0
        }
    }
}
```

`fee` is what LocalRamp charges in local currency fiat i.e NGN, GHS. It will be deducted from whatever is to be paid out.

`exchange_rate` is the selling price of the coin.

`partner_fee` refers to extra fees you might wish to charge your users. This is automatically infused into the rates. Earnings from partner fees are sent straight to the USDT wallet on your dashboard weekly. To set this up, reach out to **<business@localramp.co>**

#### Rate Calculation

To calculate how much you would eventually receive for any sender amount

{% hint style="info" %}
**to\_amount** = (**from\_amount** \*`exchange_rate`) - `fee`
{% endhint %}

{% hint style="success" %}
Rates for our off-ramp are **locked**, so you should expect to receive the **exact** amounts (except in rare cases with high volatility of asset)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.localramp.co/crypto-off-ramp/widget-sell/get-quote.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
